搜索
查看: 2562|回复: 2

wifipumpkin3安装失败

    [复制链接]

675

主题

987

帖子

2492

积分

管理员

本论坛第一帅

Rank: 9Rank: 9Rank: 9

积分
2492

热心会员推广达人宣传达人突出贡献优秀版主荣誉管理论坛元老

QQ
发表于 2020-12-28 16:50:08 | 显示全部楼层 |阅读模式
最近,不少小伙伴留言说wifipumpkin3自己安装失败了。不知道该怎么搞!现将再此做以简单的分享!!!

一:失败的原因
  • 源问题  (不少人在安装kali后,会根据网上的学习去更换源。其实在2019版的kali之后,源不需要在更换了。因为它会根据地理位置自动选择合适的源。)
  • 网络问题 (安装WiFipumpkin需要安装部分依赖包,而部分依赖包在国外的服务器。无法获取!!!)
  • 版本问题 (旧版由于pyQT5的问题以废弃,需要安装新版(基于python3.7))
二 :解决方案

  • 使用官方源,勿用网上的源。
  • 如果依赖获取失败,请多尝试几次安装。或者换个网络尝试安装。
三:安装
 sudo apt install libssl-dev libffi-dev build-essential # 安装依赖
git clone [zxsq-anti-bbcode-url=https://github.com/P0cL4bs/wifipumpkin3.git]https://github.com/P0cL4bs/wifipumpkin3.git[zxsq-anti-bbcode-/url]
cd wifipumpkin3

检查pyqt5环境
 python3 -c "from PyQt5.QtCore import QSettings; print('bbskali.cn')"

在新版本中已经都是默认安装好的,如果没有安装,请执行下面命令安装!
 apt install python3-pyqt5

安装wifipumpkin3
 python3 setup.py install

提示Finished processing dependencies for wifipumpkin3==1.0.8则说明安装成功!

wifipumpkin3

wifipumpkin3


有志者,事竟成,破釜沉舟,百二秦关终属楚. 苦心人,天不负, 卧薪尝胆 ,三千越甲可吞吴
回复

使用道具 举报

317

主题

476

帖子

1012

积分

vip用户

Rank: 6Rank: 6

积分
1012

注册会员活跃会员热心会员

QQ
发表于 2020-12-28 17:05:15 来自手机 | 显示全部楼层
支持大表哥
回复 支持 1 反对 0

使用道具 举报

104

主题

153

帖子

292

积分

中级会员

Rank: 3Rank: 3

积分
292
发表于 2021-1-5 01:30:21 来自手机 | 显示全部楼层
这个安装起来好多坑哦!
76de88b8-4e04-4568-bad5-610247e93aea.jpg
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

快速回复 返回顶部 返回列表